using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
// the above are the defautl reference
// Mapguide reference library
using OSGeo.MapGuide;
using System.Collections;
using System.Text;
using System.Xml;
using System.IO;

public class UtilityClass
{
    // the mapguide connection site object 
    MgSiteConnection siteConnection;

    public MgSiteConnection GetSiteConnection()
    {
        return siteConnection;
    }
    // initialize the web tier
    public void InitializeWebTier(HttpRequest Request)
    {
        string realPath = Request.ServerVariables["APPL_PHYSICAL_PATH"];
        String configPath = realPath + "webconfig.ini";
        MapGuideApi.MgInitializeWebTier(configPath);
    }

    // connect to server
    public void ConnectToServer(String sessionID)
    {
        MgUserInformation userInfo = new MgUserInformation(sessionID);
        siteConnection = new MgSiteConnection();
        siteConnection.Open(userInfo);
    }

    public void ConnectToServer()
    {
        MgUserInformation userInfo = new MgUserInformation("Administrator", "admin");
        siteConnection = new MgSiteConnection();
        siteConnection.Open(userInfo);
    }

    //
    //
    // get the layer by its name 
    //
    //
    public MgLayerBase getLayerByName(MgMap map, String layerName)
    {
        MgLayerBase layer = null;
        for (int i = 0; i < map.GetLayers().GetCount(); i++)
        {
            MgLayerBase nextLayer = map.GetLayers().GetItem(i);
            if (nextLayer.GetName() == layerName)
            {
                layer = nextLayer;
                break;
            }

        }
        return layer;
    }


    public String GetMapSrs(MgMap map)
    {
        String srs = map.GetMapSRS();
        if (srs != "")
            return srs;

        //SRS is currently optional. Waiting for this to change, set the default SRS to ArbitrayXY meters
        //
        return "LOCALCS[\"*XY-MT*\",LOCAL_DATUM[\"*X-Y*\",10000],UNIT[\"Meter\", 1],AXIS[\"X\",EAST],AXIS[\"Y\",NORTH]]";
    }

    public UtilityClass()
    {
    }


}
